aboutsummaryrefslogtreecommitdiff
path: root/share/hydra/sync
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-01-05 10:06:57 -0200
committerSilvio Rhatto <rhatto@riseup.net>2012-01-05 10:06:57 -0200
commit39ba666cb9c97ce984a6f99e3ab86bc7aec0eeda (patch)
treeb8dc9b2e6d394caa83e212c5fa0362d59736f65f /share/hydra/sync
parent50486d14f122e96b0e360f3ab822870751047aa4 (diff)
downloadhydra-39ba666cb9c97ce984a6f99e3ab86bc7aec0eeda.tar.gz
hydra-39ba666cb9c97ce984a6f99e3ab86bc7aec0eeda.tar.bz2
Adding sync subcommand
Diffstat (limited to 'share/hydra/sync')
-rwxr-xr-xshare/hydra/sync33
1 files changed, 33 insertions, 0 deletions
diff --git a/share/hydra/sync b/share/hydra/sync
new file mode 100755
index 0000000..6b401a9
--- /dev/null
+++ b/share/hydra/sync
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Basic parameters.
+REPOSITORIES="bootless dns gitosis/public gitosis/private puppet"
+
+# Sync each repository.
+for repository in $REPOSITORIES; do
+ if [ -d "$HYDRA_FOLDER/$repository/.git" ]; then
+ echo "Syncing $repository..."
+ ( cd $HYDRA_FOLDER/$repository && git pull origin master && git submodule update --init )
+ fi
+done
+
+# Update keyring.
+keyringer $HYDRA git pull